Confirm credit purchase
curl --request POST \
--url https://billing.platform.arb.inc/checkout/credits/confirm \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"paymentIntentId": "pi_3MtwBwLkdIwHu7ix28a3tqPa"
}
'import requests
url = "https://billing.platform.arb.inc/checkout/credits/confirm"
payload = { "paymentIntentId": "pi_3MtwBwLkdIwHu7ix28a3tqPa" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({paymentIntentId: 'pi_3MtwBwLkdIwHu7ix28a3tqPa'})
};
fetch('https://billing.platform.arb.inc/checkout/credits/confirm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"creditsAdded": 50,
"newBalance": 200.5,
"transactionId": "9d1e2f3a-4b5c-6d7e-8f9a-0b1c2d3e4f5a"
}checkout
Confirm credit purchase
Verifies that a Stripe payment succeeded and adds the purchased credits to the user’s balance. This endpoint should be called after the payment is confirmed on the frontend.
POST
/
checkout
/
credits
/
confirm
Confirm credit purchase
Authorizations
access token
Body
application/json
Stripe PaymentIntent ID (pi_xxx format, 1-255 characters)
Example:
"pi_3MtwBwLkdIwHu7ix28a3tqPa"
⌘I